const express = require("express");
const fileUpload = require("express-fileupload");
const router = express.Router();
const {
    productCreate,
  getAllProducts,
  deleteProduct,
  updateProduct,
} = require("../controllers/productsContoller"); // Correct import

// Use express-fileupload middleware
router.use(
  fileUpload({
    useTempFiles: true, // Store files temporarily before processing
    tempFileDir: "/tmp/", // Temporary folder path
  })
);

// Product creation route
router.post("/create/products", productCreate);

// Get all products route
router.get("/products", getAllProducts); // Add the new route

// Delete product route
router.delete("/products/:_id", deleteProduct); // Add a DELETE route with a product ID

// Update product route
router.put("/products/:_id", updateProduct);




module.exports = router;
